# std::insert_iterator::operator=

From cppreference.com
< cpp‎ | iterator‎ | insert iterator

| (1) |
insert_iterator<Container>& operator=( typename Container::const_reference value ); |  | (until C++11)
insert_iterator<Container>& operator=( const typename Container::value_type& value ); |  | (since C++11)
insert_iterator<Container>& operator=( typename Container::value_type&& value ); | (2) | (since C++11)

Inserts the given value `value` to the container.

1) Results in iter = container->insert(iter, value); ++iter;
2) Results in iter = container->insert(iter, std::move(value)); ++iter;

### Parameters

value | - | the value to insert

### Return value

*this

### Notes

This function exploits the signature compatibility between hinted insert for associative containers (such as std::set::insert) and positional insert for sequential containers (such as std::vector::insert).

### Example

| This section is incomplete Reason: no example

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/iterator/insert_iterator/operator%3D&oldid=42338"
Category:

- Todo no example